## About

- Adds Goobo as a playable character. Most of the core mechanics work but there are still a lot of bugs!
- Change into a random (unlocked) Survivor every 30 seconds. Syncs to the in-game timer when possible
- Option to absorb Equipment as an Uncommon item (set in Loadout)
- Option to absorb/transform Drones into a Common or Uncommon item (set in Loadout)
- Option to change transform ordering
- Option for summoning a familiar when transforming
- I've been building my mod using DittoMod as a base, so that's why there are Ditto-related things. Going to fix this eventually
- Press F2 and F3 to change material (DUBUG FEATURE)

## Known Issues

- Chat gets weirdly messed up every time you transform. Pressing Enter or waiting for the next message will fix it.
- Pressing F2 or F3 during a stage transition will crash the game
- The first time you spawn as a specific survivor, it will play the load-in animation. For example, the first time you turn into Huntress it will play the spawning animation, but every time you spawn as Huntress afterward will be seamless
- Works perfectly in single-player or if only one person plays Goobo in a multiplayer session. DO NOT TRY TO PLAY WITH MULTIPLE GOOBO PLAYERS
- If you spawn as Captain more than once in a single stage, your Special Skill will be restocked
- The direction the character model is facing does not get carried over when you transform into a different survivor
- Buffs/Debuffs do not always carry over when you transform
- You can crush yourself with an Orbital Supply Beacon sometimes
- Goobo clones don't have the correct names

## Contact

- If you have any questions, bug reports, or suggestions on how to fix stuff, post it in the Goobo Mod section of this discord channel: https://discord.gg/U7cPCDq
- I also stream sometimes, so you can stop by and chat there if you'd like: twitch.tv/mintlightning

## Changelog

- 0.9.0

  - Added option to make drones drop items on the ground instead of going directly into the player's inventory
  - Minor tweaks to familiars
  - Doing some initial multi-goobo testing (I would still not recommend trying it yourself though)
  - Transformations posted in chat (however, since chat gets messed up for the goobo player every time they transform this isn't all that helpful right now)

- 0.8.0

  - Fixed 50% starting health for familiars
  - Fixed familiars to work with artifact of swarms
  - Changed 3rd familiar (Goopy) to a healer instead of a turret

- 0.7.2

  - Fixed not starting at 50% health on eclipse (still doesn't quite work for familiars)

- 0.7.1

  - I forgot to make the damage you take when transforming count as real damage. This'll fix it

- 0.7.0

  - Egocentrism works properly
  - Fixed Captain microbots bug
  - Added option to change survivor transform ordering
  - Added options to spawn a variety of temporary minions when you transform, at the cost of some health
  - Desperado Tokens get decreased by 1 per stage instead of being halved

- 0.6.0

  - Added option to toggle absorbing Equipment/Drones in the Loudout

- 0.5.1

  - Actually absorbs drones now

- 0.5.0

  - Goobo now absorbs drones upon purchase

- 0.4.0

  - It's fine, don't worry about it

- 0.3.0

  - Don't worry about it

- 0.2.0

  - Materials are fixed
  - Fixed "only works for one run" bug
  - Desperado Tokens get carried over between stages and instances of spawning as Bandit, but the total tokens gets halved at the end of each stage
  - press F2 and F3 to cycle through different materials!
  - Gummy Engineer turrets die after 30 seconds and DO NOT RESPAWN even if the player has extra-life items

- 0.1.0

  - Several small updates to core gameplay, still VERY buggy

- 0.0.0

  - Alpha Release